package com.yeejoin.amos.fas.dao.entity;//package com.yeejoin.amos.fas.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Transient;


/**
 * The persistent class for the f_fmea_point_inputitem database table.
 */
@Entity
@Table(name = "f_fmea_point_inputitem")
@NamedQuery(name = "FmeaPointInputitem.findAll", query = "SELECT r FROM FmeaPointInputitem r")
public class FmeaPointInputitem extends BasicEntity {
    private static final long serialVersionUID = 1L;

    @Column(name = "point_inputitem_id")
    private Long PointInputitemId;

    @Column(name = "fmea_id")
    private Long fmeaId;

    @Column(name = "state")
    private Integer state;

    private Long inputItemId;

    private Long riskSourceId;

    public Long getPointInputitemId() {
        return PointInputitemId;
    }

    public void setPointInputitemId(Long pointInputitemId) {
        PointInputitemId = pointInputitemId;
    }

    public Long getFmeaId() {
        return fmeaId;
    }

    public void setFmeaId(Long fmeaId) {
        this.fmeaId = fmeaId;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public void setInputItemId(Long inputItemId) {
        this.inputItemId = inputItemId;
    }

    @Transient
    public Long getInputItemId() {
        return inputItemId;
    }

    @Transient
    public Long getRiskSourceId() {
        return riskSourceId;
    }

    public void setRiskSourceId(Long riskSourceId) {
        this.riskSourceId = riskSourceId;
    }
}